<?php
	require_once("../includes/clase_sesion.php");
	$sesion=new sesion();
	
	require_once("../includes/academia_constantes.php");
	require_once("../includes/funciones_generales.php");
	
	require_once("../includes/lib_lenguaje.php");
	$cleguaje=new cLanguage();
	
	$sesion->set('permiso',permisos($_POST['privilegio']));
	
		
	if(!comprobar_sesion()){
		mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
		exit;	
	}
	$configuracion=$sesion->get('configuracion');
	$mon_cmp_grupo=$configuracion['nombres_grupos'];
	
	require_once('../includes/MySQL.php');
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	$id=$_POST[id];
	$mat=strtolower($_POST['matr']);
	$act=$_POST['activo'];
	
	if($mat=='0'){
		$sql="SELECT foto_est, transporte_est,restaurante_est,secprivado_est,repitente_est,nuevo_ins_est,otrompio_est FROM  aca_estudiantes WHERE cod_estudiante=$id";
	}else{
		$sql="SELECT cod_estudiantes_grupos, nomacudiente_est , ocupacion_acu, direccion_est , mail_est, foto_est, zon_est, LOWER(nom_sede) AS nom_sede, LOWER(nom_jornada) AS nom_jornada, $mon_cmp_grupo as nom_nom_grupo, cod_sede, cod_jornada,cod_grupo FROM  pag_estudiantes_adm WHERE cod_estudiante=$id limit 1";
	}  

	$s=$cleguaje->getField('global','rta_s');
	$n=$cleguaje->getField('global','rta_n');
	
	$academia->instruccion($sql);
	$r=$academia->extraer_registro();
	
	$trans=strtolower(trim($r[transporte_est]))=='s' ? $s : $n;
	$restaurante=strtolower(trim($r[restaurante_est]))=='s' ? $s : $n;
	$sector=strtolower(trim($r[secprivado_est]))=='s' ? $s : $n;
	$repite=strtolower(trim($r[repitente_est]))=='s' ? $s : $n;
	$nuevo=strtolower(trim($r[nuevo_ins_est]))=='s' ? $s : $n;
	$otrmpio=strtolower(trim($r[otrompio_est]))=='s' ? $s : $n;
	
	$cd_matricula=($mat==1) ? $r['cod_estudiantes_grupos'] : '0x';
	$cd_jornada=$r[cod_jornada];
	$cd_sede=$r[cod_sede];
	$cd_grupo=$r[cod_grupo];
	
	$sede=ucwords($r[nom_sede]);
	$jornada=ucwords($r[nom_jornada]);
	$grupo=$r[nom_nom_grupo];
	$img=$r["foto_est"];
$academia->cerrar();	
?>


<script type="text/javascript">
	$(document).ready(function(e) {

    });
	var cd_sede='<?php echo $cd_sede //codigo de la sede?>'; 
	var cd_jorn='<?php echo $cd_jornada //codigo de la jornada?>'; 	
	var cd_grup='<?php echo $cd_grupo //codigo de la sede?>'; 
	
	var mat='<?php echo $mat ?>'; //si esta matriculado
	var act='<?php echo $act ?>'; // si esat activo
	var idestu='<?php echo $id ?>'; // id del estudiante

	if(mat==1){
		$("#matricular").hide()
	}else{
		$("#cb_matricula,#can_mat").hide()
		$("#datos_matricula").hide()
	}
	
	if(act==1){
		$("#activar").hide()
	}else{
		$("#desactiva").hide()
	}
	
	var cd='<?php echo $cd_matricula ?>';
	
	$("#can_mat").click(function(){ //anular matricula
		var ele=$(this);
		jConfirm('<?php echo $cleguaje->Phrase('estudiantes','cancel_matricula') ?>','<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(r){
			if(r){
				$.post("mod_estudiantes/opera_matricula.php",{
					idest:idestu,
					caso:'cancel'
				},function(dt){

					if(dt!=0){
						if (dt=='session'){
							nodo='global'
						}else{
							nodo='estudiantes'
						}
						jAlert(getMsg(nodo,dt),'<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(){
							if(dt=='session'){
								$.fn.colorbox.close();
								location.reload();	
							}	
						});
					}else{
						jQuery("#listado_estudiantes").setCell(idestu,'matriculado','<img src="images/inactivo.png" title="No">');
						notifica_ok("<?php echo $cleguaje->Phrase('estudiantes','cancel_matricula_ok') ?>");
						ele.hide();
						$("#cb_matricula,#datos_matricula").hide()
						$("#matricular").show();
					}
					
				})
			}
		})
	})
	$("#desactiva").click(function(){
		var ele=$(this);
		jConfirm('<?php echo $cleguaje->Phrase('estudiantes','desactiva_est') ?>','<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(r){
			if(r){
				$.post('mod_estudiantes/opera_matricula.php',{
					caso:'desac',
					idest:idestu,
				},function(dt){
					if(dt!=0){
						if (dt=='session'){
							nodo='global'
						}else{
							nodo='estudiantes'
						}
						jAlert(getMsg(nodo,dt),'<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(){
							if(dt=='session'){
								$.fn.colorbox.close();
								location.reload();	
							}	
						});
					}else{
						jQuery("#listado_estudiantes").setCell(idestu,'estado_est','<img src="images/inactivo.png" title="No">');
						//jQuery("#listado_estudiantes").setCell(idestu,'matriculado','<img src="images/inactivo.png" title="No">');						 
						notifica_ok("<?php echo $cleguaje->Phrase('estudiantes','desactiva_est_ok') ?>");
						ele.hide();
						$("#activar").show();
//						$("#cb_matricula,#datos_matricula,#can_mat").hide() 
					}
				})
			}
		});
	})
	
	$("#activar").click(function(){
		var ele=$(this);
		jConfirm('<?php echo $cleguaje->Phrase('estudiantes','activar_est') ?>','<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(r){
			if(r){
				$.post('mod_estudiantes/opera_matricula.php',{
					caso:'activa',
					idest:idestu,
				},function(dt){
					if(dt!=0){
						if (dt=='session'){
							nodo='global'
						}else{
							nodo='estudiantes'
						}
						jAlert(getMsg(nodo,dt),'<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(){
							if(dt=='session'){
								$.fn.colorbox.close();
								location.reload();	
							}	
						});
					}else{
						jQuery("#listado_estudiantes").setCell(idestu,'estado_est','<img src="images/activo.png" title="Si" >'); 
						notifica_ok("<?php echo $cleguaje->Phrase('estudiantes','activo_est_ok') ?>");
						ele.hide();
						$("#desactiva").show();
					}
				})
			}
		});
	})
	
	$("#matricular").click(function(){
		$.colorbox({
			  href:"mod_estudiantes/form_cam_matricula.php?idestu="+idestu  ,
			  width:'auto',
			  height: 'auto',
			  title: '<?php echo $cleguaje->Phrase("estudiantes","tit_form_mat_est") ?>',
			  transition:'elastic', 
			  iframe:false,
			  initialHeight: "300",
			  escKey: false,
		})
	})
	
	$("#cb_matricula").click(function(){
		ele=$(this)
		$.colorbox({
			  href:"mod_estudiantes/form_cam_matricula.php?sede="+cd_sede+"&jornada="+cd_jorn+"&grupo="+cd_grup+"&id_cod_matricula="+ele.attr('cod')+"&idestu="+idestu,
			  width:'auto',
			  height: 'auto',
			  title: '<?php echo $cleguaje->Phrase("estudiantes","tit_form_cmb_matricula_est"); ?>',
			  transition:'elastic', 
			  iframe:false,
			  initialHeight: "300",
			  escKey: false,
			  onComplete:function(){
				  nomsedex=$("#sed_mat_actual").html();
				  nomjornx=$("#jor_mat_actual").html();
				  nomgrupx=$("#gru_mat_actual").html();
				  sessionStorage['nom_ant_sede']=nomsedex;
				  sessionStorage['nom_ant_jorn']=nomjornx;
				  sessionStorage['nom_ant_grup']=nomgrupx;
			  
			  },
			  onClosed:function(){
				  
			  }
		})
	})

</script>

<div id="dialogo"></div>
<table border="0" cellpadding="2">
  <tr>
    <td rowspan="6" align="left"><img src="<?php echo ($img!='') ? 'img_avatar/'.$img : 'img_avatar/avatar.png' ?>" alt="user" width="100" height="118" /></td>
    <td colspan="6"  align="center" class="ui-widget-header"><?php echo $cleguaje->Phrase('global','info_matricula') ?></td>
    <td colspan="2"  align="center" bgcolor="#009900">&nbsp;</td>
  </tr>
  <tr>
    <td align="left"><span class="tit1"><?php echo $cleguaje->Phrase('estudiantes','new_estudiante') ?></span></td>
    <td align="left"><div class="tit2"><?php echo $nuevo ?></div></td>
    <td align="left">&nbsp;</td>
    <td align="left"><span class="tit1" style="display:block"><?php echo $cleguaje->getField('estudiantes','otrompio') ?></span></td>
    <td align="left"><span class="estilo2">
      <div class="tit2"><?php echo $otrmpio ?></div>
    </span></td>
    <td align="left">&nbsp;</td>
    <td rowspan="5" align="left">

    	<table border="0" cellpadding="2" id="datos_matricula">
              <tr>
                <td><span class="tit1"><?php echo $cleguaje->getField('estudiantes','sede') ?></span>
                  <div id="sed_mat_actual"><?php echo $sede ?></div></td>
              </tr>
              <tr>
                <td><span class="tit1"><?php echo $cleguaje->getField('estudiantes','jornada') ?></span>
                  <div id="jor_mat_actual"><?php echo $jornada ?></div></td>
              </tr>
              <tr>
                <td><span class="tit1"><?php echo $cleguaje->getField('estudiantes','grupo') ?></span>
                  <div id="gru_mat_actual"> <?php echo $grupo ?></div></td>
              </tr>
         </table>

    </td>
    <td rowspan="5" align="center" valign="middle"><div>
      <?php
			$val=$cleguaje->Phrase('estudiantes',"matricular");
			echo '<div style="margin-top:5px">
				<button type="button" class="btn btn-small btn-primary" id="matricular" title="'.$val.'">
					<i class="ui-btn-save icon-white"></i>
					<span>'.$val.'</span>
				</button>
			</div>';	

			$val=$cleguaje->Phrase('estudiantes',"elim_matricula");
			echo '<div style="margin-top:5px">
				<button type="button" class="btn btn-small btn-danger" cod="'.$id.'" id="can_mat" title="'.$val.'">
					<i class="ui-btn-del icon-white"></i>
					<span>'.$val.'</span>
				</button>
			</div>';
			
			$val=$cleguaje->Phrase('estudiantes',"cam_mat");
			echo '<div style="margin-top:5px">
				<button type="button" class="btn btn-small btn-warning" cod="'.$id.'" id="cb_matricula" title="'.$val.'">
					<i class="ui-btn-reload icon-white"></i>
					<span>'.$val.'</span>
				</button>
			</div>';

			$val=$cleguaje->Phrase('estudiantes',"activar");
			echo '<div style="margin-top:5px">
				<button type="button" class="btn btn-small btn-success" id="activar" title="'.$val.'">
					<i class="icon-active icon-white"></i>
					<span>'.$val.'</span>
				</button>
			</div>';

						
			$val=$cleguaje->Phrase('estudiantes',"desactivar");
			echo '<div style="margin-top:5px">
				<button type="button" class="btn btn-small btn-info" id="desactiva" title="'.$val.'">
					<i class="ui-btn-cancel icon-white"></i>
					<span>'.$val.'</span>
				</button>
			</div>';
		?>
    </div>
</td>
  </tr>
  <tr>
    <td><span class="tit1"><?php echo $cleguaje->Phrase('estudiantes','repitente') ?></span></td>
    <td><div class="tit2"><?php echo $repite ?></div></td>
    <td>&nbsp;</td>
    <td><span class="tit1"><?php echo $cleguaje->getField('estudiantes','restaurante') ?></span></td>
    <td><span class="estilo2">
      <div class="tit2"><?php echo $restaurante ?></div>
    </span></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><span class="tit1"><?php echo $cleguaje->getField('estudiantes','secpriv') ?></span></td>
    <td><span class="estilo2">
      <div class="tit2"> <?php echo $sector ?></div>
    </span></td>
    <td>&nbsp;</td>
    <td><span class="tit1"><?php echo $cleguaje->getField('estudiantes','transporte') ?></span></td>
    <td><span class="estilo2">
      <div class="tit2"><?php echo $trans ?></div>
    </span></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
